# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc查看发放详情_我的返利,33,33-65,sit,be
主数据平台:多采商城查询发放详情接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import random
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取我的返利列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url63")
request_body = commonFuc().get_business_data(module, "payload63")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 生成随机数
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取返利信息
filialecode = result["data"]["list"][rebate_random]["filialecode"]
customercode = result["data"]["list"][rebate_random]["customercode"]
relevanceCode = result["data"]["list"][rebate_random]["relevanceCode"]
monthTime = result["data"]["list"][rebate_random]["monthTime"]

# 第三步查看发放详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url65")
request_body = commonFuc().get_business_data(module, "payload65", filialecode, customercode, relevanceCode, monthTime)
# print(request_body)
"""
 场景: 查看发放详情_我的返利
 用例名称：查看发放详情_我的返利
 输出：{"filialecode":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取发放详情信息
result = json.loads(result.content)
# print(result)
result = {"filialecode": result["data"]["list"][0]["filialecode"]}

# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict65", filialecode)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
