# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc自动配货接口验证,3000,3000-3,sit,bs
主数据平台:后台运营系统自动配货接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_scenario"
a = 20
while a <= 20:
    # 第一步获取后台运营平台获取登录信息
    username = commonFuc().get_business_data(module, "username_102")
    password = commonFuc().get_business_data(module, "password_102")
    # 获取登录后Cmdc_access_token
    cmdc_access_token = CmdcDoLogin(username, password).get_token()
    headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

    # 第二步获取待配货列表
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2_1")
    request_body = commonFuc().get_business_data(module, "payload2_1")
    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    result = json.loads(result.content)

    # 获取配货单信息
    distributionCode = result["data"]["list"][0]["distributionCode"]
    distributionId = result["data"]["list"][0]["distributionId"]

    # 第三步进行自动配货
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
    request_body = commonFuc().get_business_data(module, "payload3", distributionId, distributionCode)

    """
     场景: 自动配货接口验证
     用例名称：自动配货接口验证
     输出：{"success":true,"code":"200","message":"OK"}
    """

    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())
    result = json.loads(result.content)
    # print(result)
    result["api_time"] = api_time

    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict3")
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)
    a = a + 1
